import components from './components'
import { App, provide } from 'vue'
import { defaultTheme } from './theme/defaultTheme';

// Export components for individual import
export * from './components/index'

export * from './theme/customTheme';

const createPlugin = (components: any) => {
    const install = (Vue: App, options: any) => {
      components.forEach((c: any) => Vue.use(c));
      let theme = defaultTheme
      console.log(options)
      if (options) {
        theme = {...defaultTheme, ...options}
      }
      Vue.provide('themeConfig', theme)
    }
    return { install }
}

// Export plugin installation method for global install
export default createPlugin([...components])


